within ;
package SpringMassSource

model electricanal "Muj model"

  Modelica.Electrical.Analog.Basic.Capacitor capacitor(C=2, v(start=1))
    annotation (Placement(transformation(extent={{12,6},{32,26}})));
  Modelica.Electrical.Analog.Basic.Inductor inductor(L=1)
    annotation (Placement(transformation(extent={{-44,4},{-24,24}})));
  Modelica.Electrical.Analog.Basic.Ground ground
    annotation (Placement(transformation(extent={{-98,-10},{-78,10}})));
/*
initial equation 
  // capacitor.v = 1;
*/
equation 
  connect(inductor.n, capacitor.p) annotation (Line(
      points={{-24,14},{-6,14},{-6,16},{12,16}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(capacitor.n, inductor.p) annotation (Line(
      points={{32,16},{36,16},{36,64},{-48,64},{-48,14},{-44,14}},
      color={0,0,255},
      smooth=Smooth.None));
  connect(ground.p, inductor.p) annotation (Line(
      points={{-88,10},{-68,10},{-68,14},{-44,14}},
      color={0,0,255},
      smooth=Smooth.None));
  annotation (uses(Modelica(version="3.2")), Diagram(graphics));
end electricanal;


model rovce "To je ale krasa"
  Real v "Rychlost";
  Real y(start = 1, unit="m") "Poloha";
  parameter Real m = 1 "hippotamass";
  parameter Real k = 1;
/*initial equation
  y = 1;
  */
equation 
  m*der(v) = -k*y;
  der(y) = v;
end rovce;

connector joint "Physical joint"
Real y( unit="m");
flow Real f(unit="m.s-2");

  annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
              -100},{100,100}}), graphics={Ellipse(
            extent={{-94,96},{88,-90}},
            lineColor={0,0,255},
            fillPattern=FillPattern.Solid,
            fillColor={255,0,255})}));
end joint;

model spring

  joint joint1 annotation (Placement(transformation(extent={{-4,74},{16,94}})));
  joint joint2
    annotation (Placement(transformation(extent={{-6,-98},{14,-78}})));

Real dy;
parameter Real k = 1;
equation

  joint2.y - joint1.y = dy;
  joint1.f = -k*dy;

  joint1.f + joint2.f = 0;
  annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
            -100},{100,100}}), graphics), Icon(graphics={
                                         Line(
          points={{4,82},{-46,44},{76,48},{-40,4},{68,0},{66,-2},{-28,-46},{-26,
              -46},{66,-48},{62,-50},{6,-86}},
          color={0,0,255},
          smooth=Smooth.None)}));
end spring;

model mass "Model hmoty."

  joint joint1 annotation (Placement(transformation(extent={{0,2},{20,22}})));
Real a;
Real v;
Real y;
Real f;
parameter Real m = 1;
parameter Real initPos;

initial equation
  initPos = y;

equation
  m*a = f;

  der(y) = v;
  a = der(v);

  f = joint1.f;
  y = joint1.y;
  annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
            -100},{100,100}}), graphics), Icon(graphics={
                                         Ellipse(
          extent={{-90,92},{90,-78}},
          lineColor={0,0,255},
          fillColor={0,0,255},
          fillPattern=FillPattern.Solid)}));
end mass;

  model strop

    joint joint1 annotation (Placement(transformation(extent={{-8,4},{12,24}})));
  equation
    joint1.y = 0;
    annotation (Diagram(graphics), Icon(graphics={Rectangle(
            extent={{-82,74},{90,12}},
            lineColor={0,0,255},
            fillPattern=FillPattern.Solid,
            fillColor={255,255,85})}));
  end strop;

  model system

    strop strop1
      annotation (Placement(transformation(extent={{-42,46},{-22,66}})));
    spring spring1
      annotation (Placement(transformation(extent={{-38,10},{-18,30}})));
    mass mass1(m=1, initPos=1)
      annotation (Placement(transformation(extent={{-36,-48},{-16,-28}})));
  equation
    connect(mass1.joint1, spring1.joint2) annotation (Line(
        points={{-25,-36.8},{-25,-9.4},{-27.6,-9.4},{-27.6,11.2}},
        color={0,0,255},
        smooth=Smooth.None));
    connect(spring1.joint1, strop1.joint1) annotation (Line(
        points={{-27.4,28.4},{-4.7,28.4},{-4.7,57.4},{-31.8,57.4}},
        color={0,0,255},
        smooth=Smooth.None));
    annotation (Diagram(graphics));
  end system;
  annotation (uses(Modelica(version="3.2")));
end SpringMassSource;
